libzypp 17.37.10

zypp::externalprogram::EarlyPipe Struct Reference

Helper providing pipe FDs for ExternalProgramWithStderr. More...

`#include <zypp-core/ExternalProgram.h>`

Inheritance diagram for zypp::externalprogram::EarlyPipe:

## Public Types
enum | { R =0 , W =1 }

## Public Member Functions
| EarlyPipe ()
| ~EarlyPipe ()
void | closeW ()
FILE * | fStdErr ()

## Protected Attributes
FILE * | _stderr
int | _fds [2]

## Detailed Description

Helper providing pipe FDs for ExternalProgramWithStderr.

Moved to a basse class because the pipe needs to be initialized before the ExternalProgram base class is initialized.

See also
  ExternalProgramWithStderr

Definition at line 249 of file ExternalProgram.h.

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
R |
W |

Definition at line 251 of file ExternalProgram.h.

## Constructor & Destructor Documentation

## ◆ EarlyPipe()

zypp::externalprogram::EarlyPipe::EarlyPipe | ( |  | ) |

Definition at line 504 of file ExternalProgram.cc.

## ◆ ~EarlyPipe()

zypp::externalprogram::EarlyPipe::~EarlyPipe | ( |  | ) |

Definition at line 517 of file ExternalProgram.cc.

## Member Function Documentation

## ◆ closeW()

void zypp::externalprogram::EarlyPipe::closeW | ( |  | ) |
| inline

Definition at line 254 of file ExternalProgram.h.

## ◆ fStdErr()

FILE * zypp::externalprogram::EarlyPipe::fStdErr | ( |  | ) |
| inline

Definition at line 255 of file ExternalProgram.h.

## Member Data Documentation

## ◆ _stderr

FILE* zypp::externalprogram::EarlyPipe::_stderr
| protected

Definition at line 257 of file ExternalProgram.h.

## ◆ _fds

int zypp::externalprogram::EarlyPipe::_fds[2]
| protected

Definition at line 258 of file ExternalProgram.h.

The documentation for this struct was generated from the following files:

- zypp-core/ExternalProgram.h
- zypp-core/ExternalProgram.cc